# Read player data
function cobblebuilds:data/read

# Return if player is not in a gym
execute if data storage cobblebuilds:data this.entity{in_gym: ""} run return 0

# Return if player has gym badge
data modify storage cobblebuilds:data this.gym set from storage cobblebuilds:data this.entity.in_gym
execute if function cobblebuilds:condition/has_this_gym_badge run return 0

# Get gym reward
function cobblebuilds:player/reward/gym/get

# Set variables
data modify storage cobblebuilds:data this.vars set value {}
data modify storage cobblebuilds:data this.vars.gym set from storage cobblebuilds:data this.entity.in_gym

# Pass variables
function cobblebuilds:_player/gym_badge/get/with_vars with storage cobblebuilds:data this.vars

# Increase gym badge count
scoreboard players add @s cobblebuilds-gym_badge_count 1
function cobblebuilds:run {0: "runmolangscript cobblebuilds:gym_badge_count.bump @s"}

# Update player data
function cobblebuilds:data/write