# Creates a new npc spawner
# {0: {npc*: "npc_id", npc_data: NBT, type: "type", gym: "gym_id", condition: "condition", on_spawn: "command", on_delete: "command", name: "name", base: {npc_data: NBT, condition: "condition"}}}


# --- ARGUMENT HANDLING ---
$function cobblebuilds:args {args: $(0), default: {npc: ""}}

# Error handling
execute if data storage cobblebuilds:data this.args{npc: ""} run return run function cobblebuilds:error/missing_argument {0: "npc"}


# Execute at center of block
execute align xyz positioned ~0.5 ~0.5 ~0.5 run function cobblebuilds:_npc_spawner/create/aligned

# Print summary
tellraw @s {"text": "Added new npc spawner", "color": "yellow"}