# Get player data
function cobblebuilds:data/read


# Send resource pack warning on load/join
execute unless score @s cobblebuilds-resources_check matches 0 run function cobblebuilds:player/show_resource_pack_warning

# Ensure players have a rank of at least 0
execute unless score @s cobblebuilds-rank matches 0.. run scoreboard players set @s cobblebuilds-rank 0

# Set current gym
data modify storage cobblebuilds:data this.entity.in_gym set value ""
data modify storage cobblebuilds:data this.entity.in_gym set from entity @n[type=marker, tag=cobblebuilds-gym, distance=..32] data.gym

# Debugging
execute if entity @s[tag=debug] run function cobblebuilds:player/on_tick/debugging


# --- TRIGGER HANDLING ---
execute if score @s cobblebuilds-reset_data matches 1.. run function cobblebuilds:player/trigger/reset_data
scoreboard players enable @s cobblebuilds-reset_data


# Update player data
function cobblebuilds:data/write